# ----- General Definitions -------------------------------------------------
DEBUG=off

usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos16b     (16 bit DOS with Blinker)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
zmake vxworks    (vxWorks)
<<

# ----- Clean ---------------------------------------------------------------
clean:
	z_clean

# ----- Platforms -----------------------------------------------------------
dos16: draw116.exe draw216.exe draw316.exe draw416.exe

dos16b: draw11b.exe draw21b.exe draw31b.exe draw41b.exe

dos32: draw132.exe draw232.exe draw332.exe draw432.exe

win16: wdraw116.exe wdraw216.exe wdraw316.exe wdraw416.exe

win32: wdraw132.exe wdraw232.exe wdraw332.exe wdraw432.exe

win32dll: wdraw1.exe wdraw2.exe wdraw3.exe wdraw4.exe

vxworks: vdraw1.o vdraw2.o vdraw3.o vdraw4.o

# ----- dos16 ---------------------------------------------------------------

# ----- pharlap -------------------------------------------------------------
!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

TARGET_TYPE=EXE
PLATFORM=DOS16
DEFINITION_FILE=$(D16_DEFINITION_FILE)

#
# Build options for draw116.exe
#
TARGET=draw116.exe
SOURCE_FILES=draw1.cpp
!include <zaf.mak>

#
# Build options for draw216.exe
#
TARGET=draw216.exe
SOURCE_FILES=draw2.cpp
!include <zaf.mak>

#
# Build options for draw316.exe
#
TARGET=draw316.exe
SOURCE_FILES=draw3.cpp
!include <zaf.mak>

#
# Build options for draw416.exe
#
TARGET=draw416.exe
SOURCE_FILES=draw4.cpp
!include <zaf.mak>

# ----- blinker -------------------------------------------------------------
PLATFORM=DOS16B
DEFINITION_FILE=

#
# Build options for draw11b.exe
#
TARGET=draw11b.exe
SOURCE_FILES=draw1.cpp
!include <zaf.mak>

#
# Build options for draw21b.exe
#
TARGET=draw21b.exe
SOURCE_FILES=draw2.cpp
!include <zaf.mak>

#
# Build options for draw31b.exe
#
TARGET=draw31b.exe
SOURCE_FILES=draw3.cpp
!include <zaf.mak>

#
# Build options for draw41b.exe
#
TARGET=draw41b.exe
SOURCE_FILES=draw4.cpp
!include <zaf.mak>

# ----- dos32 ---------------------------------------------------------------

TARGET_TYPE=EXE
PLATFORM=DOS32
DEFINITION_FILE=

#
# Build options for draw132.exe
#
TARGET=draw132.exe
SOURCE_FILES=draw1.cpp
!include <zaf.mak>

#
# Build options for draw232.exe
#
TARGET=draw232.exe
SOURCE_FILES=draw2.cpp
!include <zaf.mak>

#
# Build options for draw332.exe
#
TARGET=draw332.exe
SOURCE_FILES=draw3.cpp
!include <zaf.mak>

#
# Build options for draw432.exe
#
TARGET=draw432.exe
SOURCE_FILES=draw4.cpp
!include <zaf.mak>

# ----- win16 ---------------------------------------------------------------

TARGET_TYPE=EXE
PLATFORM=WIN16
DEFINITION_FILE=win16.def

#
# Build options for wdraw116.exe
#
TARGET=wdraw116.exe
SOURCE_FILES=draw1.cpp
!include <zaf.mak>

#
# Build options for wdraw216.exe
#
TARGET=wdraw216.exe
SOURCE_FILES=draw2.cpp
!include <zaf.mak>

#
# Build options for wdraw316.exe
#
TARGET=wdraw316.exe
SOURCE_FILES=draw3.cpp
!include <zaf.mak>

#
# Build options for wdraw416.exe
#
TARGET=wdraw416.exe
SOURCE_FILES=draw4.cpp
!include <zaf.mak>

# ----- win32 ---------------------------------------------------------------

TARGET_TYPE=EXE
PLATFORM=WIN32
DEFINITION_FILE=

#
# Build options for wdraw132.exe
#
TARGET=wdraw132.exe
SOURCE_FILES=draw1.cpp
!include <zaf.mak>

#
# Build options for wdraw232.exe
#
TARGET=wdraw232.exe
SOURCE_FILES=draw2.cpp
!include <zaf.mak>

#
# Build options for wdraw332.exe
#
TARGET=wdraw332.exe
SOURCE_FILES=draw3.cpp
!include <zaf.mak>

#
# Build options for wdraw432.exe
#
TARGET=wdraw432.exe
SOURCE_FILES=draw4.cpp
!include <zaf.mak>

# ----- win32dll ------------------------------------------------------------

TARGET_TYPE=EXEDLL
PLATFORM=WIN32
DEFINITION_FILE=

#
# Build options for wdraw1.exe
#
TARGET=wdraw1.exe
SOURCE_FILES=draw1.cpp
!include <zaf.mak>

#
# Build options for wdraw2.exe
#
TARGET=wdraw2.exe
SOURCE_FILES=draw2.cpp
!include <zaf.mak>

#
# Build options for wdraw3.exe
#
TARGET=wdraw3.exe
SOURCE_FILES=draw3.cpp
!include <zaf.mak>

#
# Build options for wdraw4.exe
#
TARGET=wdraw4.exe
SOURCE_FILES=draw4.cpp
!include <zaf.mak>

# ----- vxWorks -------------------------------------------------------------

TARGET_TYPE=exe
PLATFORM=vxworks
DEFINITION_FILE=
ADD_COMPILE_OPTS=-DZAF_VXW_APP_NAME=vdraw

#
# Build options for vdraw1.o
#
TARGET=vdraw1.o
SOURCE_FILES=draw1.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vdraw2.o
#
TARGET=vdraw2.o
SOURCE_FILES=draw2.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vdraw3.o
#
TARGET=vdraw3.o
SOURCE_FILES=draw3.cpp v_app.cpp
!include <zaf.mak>

#
# Build options for vdraw4.o
#
TARGET=vdraw4.o
SOURCE_FILES=draw4.cpp v_app.cpp
!include <zaf.mak>


